UPDATE PACK 8 FEEDBACK THREAD

Archived topics about LMDE 1
Monsta
Level 10
Level 10
Posts: 3027
Joined: Fri Aug 19, 2011 3:46 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by Monsta » Sat Jan 25, 2014 3:27 am

mockturtl wrote:I installed sqlite3, libsqlite3-dev, and now Banshee crashes on launch. Monsta, can you reproduce?

update:
libsqlite3-0 v3.8.2-1 (sid, jessie) breaks banshee.
v3.8.1-1 (incoming) is OK.
If the version from Incoming works fine, I guess there's no need to do anything about it right now.

User avatar
killer de bug
Level 14
Level 14
Posts: 5415
Joined: Tue Jul 08, 2008 1:49 pm
Location: Leuven, Belgium

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by killer de bug » Sat Jan 25, 2014 6:27 am

Clem,

After installing UP8 and Cinnamon 2.0, I am unable to install nemo-terminal and nemo-preview...
If it ain't broke, fix it until it is.

Monsta
Level 10
Level 10
Posts: 3027
Joined: Fri Aug 19, 2011 3:46 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by Monsta » Sat Jan 25, 2014 9:00 am

killer de bug wrote:After installing UP8 and Cinnamon 2.0, I am unable to install nemo-terminal and nemo-preview...
What does apt-get say?

User avatar
killer de bug
Level 14
Level 14
Posts: 5415
Joined: Tue Jul 08, 2008 1:49 pm
Location: Leuven, Belgium

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by killer de bug » Sat Jan 25, 2014 11:17 am

Code: Select all

 KDB@KDB-laptop ~ $ apt policy nemo-terminal
nemo-terminal:
  Installé : (aucun)
  Candidat : 1.0.1+lmde
 Table de version :
     1.0.1+lmde 0
        700 http://packages.linuxmint.com/ debian/incoming amd64 Packages
KDB@KDB-laptop ~ $ apt policy nemo-preview
KDB@KDB-laptop ~ $  
First of all these packages are not upgraded in our Repo. One is missing the other one is a old one.

Code: Select all

 emmanuel@manu-laptop ~ $  apt install nemo-terminal
[...]
 nemo-terminal : Depends: gir1.2-glib-2.0 (>= 1.38.0~) but 1.36.0-2+b1 will be installed
  
Edit : didn't succeed from Git either. dpkg-buildpackage failled.
If it ain't broke, fix it until it is.

Monsta
Level 10
Level 10
Posts: 3027
Joined: Fri Aug 19, 2011 3:46 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by Monsta » Sat Jan 25, 2014 1:43 pm

killer de bug wrote:

Code: Select all

nemo-terminal : Depends: gir1.2-glib-2.0 (>= 1.38.0~) but 1.36.0-2+b1 will be installed
Interesting... gir1.2-glib-2.0 version 1.38.0 is not even in Testing, it's only in Experimental. But it's also in Ubuntu Saucy repo. Maybe Clem built the package on Mint 16?

miguel~1.mx
Level 1
Level 1
Posts: 2
Joined: Wed Aug 08, 2012 6:32 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by miguel~1.mx » Sat Jan 25, 2014 11:35 pm

Cinnamon-screensaver is mandatory in order to load cinnamon on UP8.

/var/log/syslog points, if cinnamon-screensaver is missing when choosing cinnamon as session:

Code: Select all

 cinnamon-session[4011]: WARNING: Unable to find required component 'cinnamon-screensaver'
 mdm[4162]: Gtk-WARNING: Ignoring the separator setting
 mdm[3032]: WARNING: mdm_cleanup_children: child 3033 crashed of signal 1
 mdm[3032]: WARNING: mdm_cleanup_children: Slave crashed, killing its children
 acpid: client 3974[0:0] has disconnected
 acpid: client connected from 4189[0:0]
When the cinnamon session loads, ibus misses the default keyboard layout. If a layout is added, other than English (United States), it loads English (United States) instead. ibus behaves as expected in MATE and LXDE sessions.

Thanks for all the good work!

FDF
Level 2
Level 2
Posts: 99
Joined: Fri Nov 04, 2011 7:55 pm

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by FDF » Sat Jan 25, 2014 11:41 pm

FYI, the UP8 made me lost the automatic connection to my ebook reader (Sony).

It was working fine before the upgrade.

I will try to found the problem, Actually up to now I can't connect at all (even not automaticaly).

here is the syslog when pluging in.

Code: Select all

Jan 26 11:39:20 desktop kernel: [ 4847.176299] usb 1-3.2: new high speed USB device number 9 using ehci_hcd
Jan 26 11:39:20 desktop kernel: [ 4847.301667] usb 1-3.2: New USB device found, idVendor=054c, idProduct=031e
Jan 26 11:39:20 desktop kernel: [ 4847.301678] usb 1-3.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan 26 11:39:20 desktop kernel: [ 4847.301686] usb 1-3.2: Product: Sony Digital Book Reader
Jan 26 11:39:20 desktop kernel: [ 4847.301692] usb 1-3.2: Manufacturer: Sony
Jan 26 11:39:20 desktop kernel: [ 4847.301697] usb 1-3.2: SerialNumber: 0800461000C11DAF
Jan 26 11:39:20 desktop kernel: [ 4847.305931] scsi10 : usb-storage 1-3.2:1.0
Jan 26 11:39:20 desktop mtp-probe: checking bus 1, device 9: "/sys/devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3.2"
Jan 26 11:39:20 desktop mtp-probe: bus: 1, device: 9 was not an MTP device
Jan 26 11:39:21 desktop kernel: [ 4848.306417] scsi 10:0:0:0: Direct-Access     Sony     PRS-600          1.00 PQ: 0 ANSI: 2
Jan 26 11:39:21 desktop kernel: [ 4848.308273] scsi 10:0:0:1: Direct-Access     Sony     PRS-600 MS       1.00 PQ: 0 ANSI: 2
Jan 26 11:39:21 desktop kernel: [ 4848.310282] scsi 10:0:0:2: Direct-Access     Sony     PRS-600 SD       1.00 PQ: 0 ANSI: 2
Jan 26 11:39:21 desktop kernel: [ 4848.312270] scsi 10:0:0:3: Direct-Access     Sony     PRS-600 Launcher 1.00 PQ: 0 ANSI: 2
Jan 26 11:39:21 desktop kernel: [ 4848.313402] sd 10:0:0:0: Attached scsi generic sg2 type 0
Jan 26 11:39:21 desktop kernel: [ 4848.313858] sd 10:0:0:1: Attached scsi generic sg3 type 0
Jan 26 11:39:21 desktop kernel: [ 4848.314286] sd 10:0:0:2: Attached scsi generic sg4 type 0
Jan 26 11:39:21 desktop kernel: [ 4848.314656] sd 10:0:0:3: Attached scsi generic sg5 type 0
Jan 26 11:39:22 desktop kernel: [ 4848.385368] sd 10:0:0:1: [sdd] Attached SCSI removable disk
Jan 26 11:39:22 desktop kernel: [ 4848.397402] sd 10:0:0:2: [sde] Attached SCSI removable disk
Jan 26 11:39:22 desktop kernel: [ 4848.406373] sd 10:0:0:3: [sdf] Attached SCSI removable disk
Jan 26 11:39:22 desktop kernel: [ 4848.409380] sd 10:0:0:0: [sdc] Attached SCSI removable disk

Monsta
Level 10
Level 10
Posts: 3027
Joined: Fri Aug 19, 2011 3:46 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by Monsta » Sun Jan 26, 2014 4:15 am

I think we need more feedback from the users of proprietary NVidia and ATI drivers.
Known issues so far:

leafpaul
Level 1
Level 1
Posts: 14
Joined: Sat Dec 24, 2011 1:15 pm

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by leafpaul » Sun Jan 26, 2014 4:30 am

cinnamon-menu-editor is still broken for me¸ when deleting items from the menu or even unchecking a tick box the cinnamon-applications.menu file is overwritten with a zero length file.

Code: Select all

Traceback (most recent call last):
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 397, in on_item_tree_show_toggled
    self.editor.setVisible(item, False)
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 193, in setVisible
    self.save()
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 52, in save
    fd.write(self.dom.toprettyxml())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xa0' in position 1184: ordinal not in range(128)
Traceback (most recent call last):
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 397, in on_item_tree_show_toggled
    self.editor.setVisible(item, False)
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 193, in setVisible
    self.save()
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 52, in save
    fd.write(self.dom.toprettyxml())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xa0' in position 1184: ordinal not in range(128)
Traceback (most recent call last):
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 48, in menuChanged
    self.load()
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 44, in load
    if not self.tree.load_sync():
  File "/usr/lib/python2.7/dist-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
gi._glib.GError: Error on line 1 char 1: Document was empty or contained only whitespace

** (cinnamon-menu-editor:27064): CRITICAL **: gmenu_tree_get_root_directory: assertion `tree->loaded' failed
Traceback (most recent call last):
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 70, in menuChanged
    self.loadUpdates()
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 99, in loadUpdates
    self.loadMenus()
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 195, in loadMenus
    self.loadMenu({ None: None })
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 206, in loadMenu
    name = cgi.escape(menu.get_name())
AttributeError: 'NoneType' object has no attribute 'get_name'
Traceback (most recent call last):
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 48, in menuChanged
    self.load()
  File "/usr/lib/cinnamon-menu-editor/cme/MenuEditor.py", line 44, in load
    if not self.tree.load_sync():
  File "/usr/lib/python2.7/dist-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
gi._glib.GError: Error on line 1 char 1: Document was empty or contained only whitespace

** (cinnamon-menu-editor:27064): CRITICAL **: gmenu_tree_get_root_directory: assertion `tree->loaded' failed
Traceback (most recent call last):
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 70, in menuChanged
    self.loadUpdates()
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 99, in loadUpdates
    self.loadMenus()
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 195, in loadMenus
    self.loadMenu({ None: None })
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 206, in loadMenu
    name = cgi.escape(menu.get_name())
AttributeError: 'NoneType' object has no attribute 'get_name'
Last edited by leafpaul on Sun Jan 26, 2014 5:48 am, edited 1 time in total.

leafpaul
Level 1
Level 1
Posts: 14
Joined: Sat Dec 24, 2011 1:15 pm

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by leafpaul » Sun Jan 26, 2014 4:34 am

Monsta wrote:I think we need more feedback from the users of proprietary NVidia and ATI drivers.
Known issues so far:
I have a GeForce GT 220 with 319.72 working without any issues for me (64bit)

User avatar
killer de bug
Level 14
Level 14
Posts: 5415
Joined: Tue Jul 08, 2008 1:49 pm
Location: Leuven, Belgium

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by killer de bug » Sun Jan 26, 2014 6:40 am

Monsta wrote:NVidia: UI lockups and distorted font rendering, window and menu flickering. Tested on versions 319.72 (Incoming) and 319.76 (Testing). Need more feedback on these versions and some other ones (as candidates for replacement).

Code: Select all

KDB@KDB-laptop ~ $ inxi -G
Graphics:  Card NVIDIA G96M [GeForce GT 130M] X.Org 1.14.3 Res: 1366x768@60.0hz 
GLX Renderer GeForce GT 130M/PCIe/SSE2 GLX Version 3.3.0 NVIDIA 319.72
I have no issues with this driver. Some time when scrolling a page in Firefox, the screen flickers a little bit. But don't even sure it's Nvidia related. It could be related to Xorg. Waiting Wayland for this ;)
If it ain't broke, fix it until it is.

cmost
Level 4
Level 4
Posts: 435
Joined: Tue Sep 18, 2007 7:36 am
Location: Newport, Kentucky

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by cmost » Sun Jan 26, 2014 2:42 pm

@ killer de bug

I don't understand why you guys having problems with the older Nvidia driver in the repositories don't simply just use the latest official drivers from Nvidia's site? It's simple to compile the driver yourself and then DKMS will automatically do so thereafter, whenever you update your kernel. I'm currently using 331.38 on LMDE UP8 without any issues whatsoever in both MATE+Compiz+Emerald and Cinnamon 2.0. Maybe it's considered taboo to compile your own driver on a distribution that's supposed to "just work" but hey, if few minutes at the command prompt will save you hours of hair-pulling I say go for it.

Get latest nVidia drivers here:
32Bit:

Code: Select all

ftp://download.nvidia.com/XFree86/Linux-x86/
64Bit:

Code: Select all

ftp://download.nvidia.com/XFree86/Linux-x86_64/
Prerequisites:

Code: Select all

$ sudo apt-get update
$ sudo apt-get install build-essential nano linux-headers-$(uname -r)
This will install the headers for your currently running kernel and the tools needed to build the driver.

Type:

Code: Select all

Ctrl+Alt+F1
To exit your desktop and get to a command line. Once there, login as your normal user.

Type:

Code: Select all

$sudo killall mdm
to kill X

Type:

Code: Select all

$ cd /path/to/nvidia/driver
To change to the directory where the binary driver file resides

Disable nouveu driver if you're using it.

Code: Select all

$sudo nano /etc/modprobe.d/disable-nouveau.conf
Append the following code:

Code: Select all

# Disable nouveau
blacklist nouveau
options nouveau modeset=0
Save the file and exit nano

Type:

Code: Select all

$sudo sh *331.38*.run
Follow the on-screen prompts to install the driver.
When the installer offers to allow DKMS to automatically recompile with new kernels, say yes.
If it fails with a compile message, try again with this command:

Code: Select all

$sudo sh *331.38*.run --no-unified-memory
When installation is complete, either issue:

Code: Select all

$sudo mdm
or

Code: Select all

$sudo reboot
Enjoy!
Dual Intel Xeon 3.6 GHz, 24 Cores
86.5 GB DDR3 RAM
nVidia GeForce GTX 660
Linux Mint 18.2 MATE 1.18 +Compiz
Kernel 4.09 LTS

petrescudragos
Level 1
Level 1
Posts: 16
Joined: Fri Dec 20, 2013 7:53 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by petrescudragos » Sun Jan 26, 2014 3:50 pm

I didn't install nor removed anything lately, but 2 or 3 months ago i removed several times different parts from the audio system in my attempt to install an equalizer.

I don't know whether it has anything to do with the problem, but the first one to crush was the equalizer (PulseAudio Equalizer). it happened with two or three days before the problem we are discussing. It simply stoped working but, after i restarted it, the equalizer went back to normal

lightengineer
Level 1
Level 1
Posts: 1
Joined: Sat Jan 25, 2014 11:46 pm

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by lightengineer » Mon Jan 27, 2014 2:42 am

I updated my am64 LMDE Mate from UP7 to UP8 9 days ago. Had the same library issue already reported (I think libpng) but smooth update after apt-get install -f and another apt-get dist-upgrade.

Nvidia GTX660 with 319.72 running 2 monitors and an LCD TV perfectly.

The only strange thing I have seen is that I have a couple of scripts I use to mount and dismount shares on my laptop computer that no longer close the terminal automatically when I click on them to run and then click "Run in Terminal". I have to close them manually now, but this is only a minor issue.

Other than that, I have used it Heavily for Development and Multimedia work and it runs as it should!!

User avatar
hubert.banas
Level 1
Level 1
Posts: 10
Joined: Mon Jan 27, 2014 2:24 pm

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by hubert.banas » Mon Jan 27, 2014 2:29 pm

lightengineer wrote: Nvidia GTX660 with 319.72 running 2 monitors and an LCD TV perfectly.

The only strange thing I have seen is that I have a couple of scripts I use to mount and dismount shares on my laptop computer that no longer close the terminal automatically when I click on them to run and then click "Run in Terminal". I have to close them manually now, but this is only a minor issue.
Could be due to this: https://devtalk.nvidia.com/default/topi ... c-and-exit

try nvidia 331.38

ctrlesc
Level 1
Level 1
Posts: 16
Joined: Tue Jun 28, 2011 10:28 pm

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by ctrlesc » Mon Jan 27, 2014 10:08 pm

cmost wrote: I don't understand why you guys having problems with the older Nvidia driver in the repositories don't simply just use the latest official drivers from Nvidia's site?
That is not what we are testing here. Your exact configuration is what I normally run (liquorix and nvidia latest download); however, in this circumstance we are evaluating the usability of the UP8 release with the the versions in incoming. I had problems with 319.xx but not with 310.51 as packaged by debian on two machines running a pretty vanilla LMDE. I was trying to relay that to the distro maintainers as this is the UP8 feedback thread. You did provide a really nice howto for the proprietary drivers which I can appreciate.

liveup
Level 1
Level 1
Posts: 8
Joined: Tue Jan 21, 2014 12:43 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by liveup » Tue Jan 28, 2014 11:47 am

no3D.png
Cinammon acceleration is not available....

kurotsugi
Level 6
Level 6
Posts: 1038
Joined: Fri Jan 25, 2013 3:54 am

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by kurotsugi » Tue Jan 28, 2014 4:51 pm

I was trying to install cinnamon then I realize it drag a lot of things

Code: Select all

gnome-applets-data{a} gnome-bluetooth{a} gnome-contacts{a} 
  gnome-control-center{a} gnome-control-center-data{a} gnome-desktop3-data{a} 
  gnome-media{a} gnome-menus{a} gnome-online-accounts{a} gnome-panel{a} 
  gnome-panel-data{a} gnome-power-manager{a} gnome-screensaver{a} 
  gnome-session{a} gnome-session-bin{a} gnome-session-common{a} 
  gnome-session-flashback{a} gnome-settings-daemon{a} gnome-shell{a} 
  gnome-shell-common{a} gnome-sushi{a} gnome-system-monitor{a} 
  gnome-terminal{a} gnome-terminal-data{a} gnome-user-guide{a} 
  gnome-user-share{a}


are they really needed to run cinnamon? :roll:

Code: Select all

cinnamon cinnamon-common{a} cinnamon-desktop-data{a} 
  cinnamon-screensaver{a} cinnamon-session{a} cinnamon-session-common{a} 
  cinnamon-settings-daemon{a} cinnamon-translations{a}
for stability reason I think it is a great idea to make cinnamon install less gnome stuffs.

User avatar
mockturtl
Level 4
Level 4
Posts: 452
Joined: Sat Oct 09, 2010 8:51 pm

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by mockturtl » Tue Jan 28, 2014 6:21 pm

liveup wrote:
no3D.png
Cinammon acceleration is not available....
What card / driver? Run:

Code: Select all

$ inxi -G
Image

User avatar
Crewp
Level 9
Level 9
Posts: 2517
Joined: Sat Dec 01, 2012 8:36 pm
Location: Connecticut,USA

Re: UPDATE PACK 8 FEEDBACK THREAD

Post by Crewp » Tue Jan 28, 2014 6:43 pm

Where;s Clem ? I hope he is ok I'm starting to worry
Image

Locked

Return to “LMDE 1 Archive”